groovy.sql

## Class GroovyRowResult

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.sql.GroovyRowResult

All Implemented Interfaces:
  GroovyObject, java.util.Map

    public class GroovyRowResult
    extends GroovyObjectSupport
    implements java.util.Map

Represents an extent of objects. It's primarily used by methods of Groovy's `Sql` class to return `ResultSet` data in map form; allowing access to the result of a SQL query by the name of the column, or by the column number.

Author:
  Jean-Louis Berliet

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GroovyRowResult(java.util.Map result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`boolean` `containsKey(java.lang.Object key)` Checks if the result contains (ignoring case) the given key.
`boolean` `containsValue(java.lang.Object value)`
`java.util.Set<java.util.Map.Entry>` `entrySet()`
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `get(java.lang.Object property)` Find the property value for the given name (ignoring case).
`java.lang.Object` `getAt(int index)` Retrieve the value of the property by its index.
`java.lang.Object` `getProperty(java.lang.String property)` Retrieve the value of the property by its (case-insensitive) name.
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Set` `keySet()`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)` Associates the specified value with the specified property name in this result.
`void` `putAll(java.util.Map t)` Copies all of the mappings from the specified map to this result.
`java.lang.Object` `remove(java.lang.Object rawKey)`
`int` `size()`
`java.lang.String` `toString()`
`java.util.Collection` `values()`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, invokeMethod, setMetaClass, setProperty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### GroovyRowResult

    public GroovyRowResult(java.util.Map result)

### Method Detail

#### getProperty

    public java.lang.Object getProperty(java.lang.String property)

Retrieve the value of the property by its (case-insensitive) name.

Specified by:
  `getProperty` in interface `GroovyObject`
Overrides:
  `getProperty` in class `GroovyObjectSupport`
Parameters:
  `property` - is the name of the property to look at
Returns:
  the value of the property

#### getAt

    public java.lang.Object getAt(int index)

Retrieve the value of the property by its index. A negative index will count backwards from the last column.

Parameters:
  `index` - is the number of the column to look at
Returns:
  the value of the property

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### clear

    public void clear()

Specified by:
  `clear` in interface `java.util.Map`

#### containsKey

    public boolean containsKey(java.lang.Object key)

Checks if the result contains (ignoring case) the given key.

Specified by:
  `containsKey` in interface `java.util.Map`
Parameters:
  `key` - the property name to look for
Returns:
  true if the result contains this property name

#### containsValue

    public boolean containsValue(java.lang.Object value)

Specified by:
  `containsValue` in interface `java.util.Map`

#### entrySet

    public java.util.Set<java.util.Map.Entry> entrySet()

Specified by:
  `entrySet` in interface `java.util.Map`

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `java.util.Map`
Overrides:
  `equals` in class `java.lang.Object`

#### get

    public java.lang.Object get(java.lang.Object property)

Find the property value for the given name (ignoring case).

Specified by:
  `get` in interface `java.util.Map`
Parameters:
  `property` - the name of the property to get
Returns:
  the property value

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.util.Map`
Overrides:
  `hashCode` in class `java.lang.Object`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `java.util.Map`

#### keySet

    public java.util.Set keySet()

Specified by:
  `keySet` in interface `java.util.Map`

#### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

Associates the specified value with the specified property name in this result.

Specified by:
  `put` in interface `java.util.Map`
Parameters:
  `key` - the property name for the result
  `value` - the property value for the result
Returns:
  the previous value associated with `key`, or `null` if there was no mapping for `key`. (A `null` return can also indicate that the map previously associated `null` with `key`.)

#### putAll

    public void putAll(java.util.Map t)

Copies all of the mappings from the specified map to this result. If the map contains different case versions of the same (case-insensitive) key only the last (according to the natural ordering of the supplied map) will remain after the `putAll` method has returned.

Specified by:
  `putAll` in interface `java.util.Map`
Parameters:
  `t` - the mappings to store in this result

#### remove

    public java.lang.Object remove(java.lang.Object rawKey)

Specified by:
  `remove` in interface `java.util.Map`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Map`

#### values

    public java.util.Collection values()

Specified by:
  `values` in interface `java.util.Map`